State (Java SE 10 & JDK 10 )
Keywords: org.omg.PortableServer.POAManagerPackage.State class

Module java.corba
Package org.omg.PortableServer.POAManagerPackage

## Class State

- java.lang.Object
- - org.omg.PortableServer.POAManagerPackage.State

- All Implemented Interfaces:
    `Serializable`, `IDLEntity`

      public class State
      extends Object
      implements IDLEntity

  Specifies the states for the POAManager

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `_ACTIVE` |
    `static int` | `_DISCARDING` |
    `static int` | `_HOLDING` |
    `static int` | `_INACTIVE` |
    `static State` | `ACTIVE` |
    `static State` | `DISCARDING` |
    `static State` | `HOLDING` |
    `static State` | `INACTIVE` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `State​(int value)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static State` | `from_int​(int value)` |
    `int` | `value()` |

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _HOLDING

          public static final int _HOLDING

      See Also:
        Constant Field Values

    - #### HOLDING

          public static final State HOLDING

    - #### _ACTIVE

          public static final int _ACTIVE

      See Also:
        Constant Field Values

    - #### ACTIVE

          public static final State ACTIVE

    - #### _DISCARDING

          public static final int _DISCARDING

      See Also:
        Constant Field Values

    - #### DISCARDING

          public static final State DISCARDING

    - #### _INACTIVE

          public static final int _INACTIVE

      See Also:
        Constant Field Values

    - #### INACTIVE

          public static final State INACTIVE

  - ### Constructor Detail

    - #### State

          protected State​(int value)

  - ### Method Detail

    - #### value

          public int value()

    - #### from_int

          public static State from_int​(int value)